<div class="attachment-preview">
  {#if attachment.mime.startsWith("image/")}
  <img {src} width={attachment.width===null ? "100%" : attachment.width} height={attachment.height===null ? "100%" : attachment.height}
   on:load="fire('load')" class="attachment-driver image" /> {:elseif attachment.mime.startsWith("video/")}
  <video {src} width={attachment.width===null ? "100%" : attachment.width} height={attachment.height===null ? "100%" : attachment.height}
   type={attachment.mime} controls=true on:load="fire('load')" class="attachment-driver video" /> {:elseif attachment.mime.startsWith("audio/")}
  <audio {src} width={attachment.width===null ? "100%" : attachment.width} height={attachment.height===null ? "100%" : attachment.height}
   type={attachment.mime} controls=true on:load="fire('load')" class="attachment-driver audio" /> {:else} {attachment.name}
  {/if}
</div>


<script>
  import env from "../js/constants";

  export default {
    computed: {
      src({attachment}) {
        return `${env.API_BASE}/attachments/${attachment.id}`;
      }
    }
  };
</script>

<style>
  .attachment-preview {
    margin: 0.25em 0;
  }
  
  .attachment-driver {
    max-width: calc(70vw - 73px - 3em);
    max-height: 60vh;
    border-radius: 2.5px;
  }

  .attachment-driver:not(.audio) {
    width: auto;
    height: auto;
  }

  .attachment-preview:not(:last-child) {
    margin-bottom: 0.35em;
  }

  .audio {
    height: 54px;
    width: 60vw;
  }
</style>
